WMBARB(3NCARG)

NAME
WMBARB - plots wind barbs.

SYNOPSIS
CALL WMBARB (X,Y,U,V)

C-BINDING SYNOPSIS
#include <ncarg/gks.h>

void c_wmbarb(float x, float y, float u, float v)

DESCRIPTION

X   (Real, Input) - An X coordinate (specified in world coordinates) of a point that specifies the position of the base of a wind barb.

Y   (Real, Input) - A Y coordinate (specified in world coordinates) of a point that specifies the position of the base of a wind barb.

U   (Real, Input) - The X component of a wind vector.

V   (Real, Input) - The Y component of a wind vector.

USAGE
The angle at which the wind barb is drawn is determined by the vector (U,V) and the magnitude of that vector denotes the wind speed in knots. Set the values for the appropriate internal parameters before calling WMBARB to produce the wind barb. The internal parameters that control the appearance of wind barbs are: COL, WBA, WBD, WBF, WBS, WBT.

ACCESS
To use WMBARB or c_wmbarb, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: wmap, wmdflt, wmgetc, wmgeti, wmgetr, wmlabs, wmsetc, wmseti, wmsetr, wmstnm, wmap_params

Hardcopy: WMAP - A Package for Producing Daily Weather Maps and Plotting Station Model Data

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.